GDB (xrefs)

Public Attributes | List of all members
ada_tasks_inferior_data Struct Reference

## Public Attributes
enum ada_known_tasks_kind | known_tasks_kind
CORE_ADDR | known_tasks_addr
struct type * | known_tasks_element
unsigned int | known_tasks_length
int | task_list_valid_p

## Detailed Description

Definition at line 199 of file ada-tasks.c.

## Member Data Documentation

## ◆ known_tasks_addr

CORE_ADDR ada_tasks_inferior_data::known_tasks_addr

Definition at line 216 of file ada-tasks.c.

Referenced by ada_tasks_inferior_data_sniffer(), read_known_tasks_array(), and read_known_tasks_list().

## ◆ known_tasks_element

struct type* ada_tasks_inferior_data::known_tasks_element

Definition at line 219 of file ada-tasks.c.

Referenced by ada_tasks_inferior_data_sniffer(), read_known_tasks_array(), and read_known_tasks_list().

## ◆ known_tasks_kind

enum ada_known_tasks_kind ada_tasks_inferior_data::known_tasks_kind

Definition at line 210 of file ada-tasks.c.

Referenced by ada_tasks_inferior_data_sniffer(), ada_tasks_invalidate_inferior_data(), and read_known_tasks().

## ◆ known_tasks_length

unsigned int ada_tasks_inferior_data::known_tasks_length

Definition at line 222 of file ada-tasks.c.

Referenced by ada_tasks_inferior_data_sniffer(), and read_known_tasks_array().

## ◆ task_list_valid_p

int ada_tasks_inferior_data::task_list_valid_p

Definition at line 227 of file ada-tasks.c.

Referenced by ada_build_task_list(), ada_task_list_changed(), ada_tasks_invalidate_inferior_data(), and read_known_tasks().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-tasks.c